PSE by Checkout
Call the Payments API to request payments via PSE on Colombia
POST /v2/transaction/checkout
curl -v --location --request POST 'https://sandbox.smartfastpay.com/v2/transaction/checkout' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <Access-Token>' \
--data-raw '{
"customer": {
"id": "2663ded1-874a-480a-8b0e-8f6117415a70",
"name": "John Doe",
"email": "[email protected]",
"document": {
"type": "CC",
"number": "12345678"
},
"phone": "+573041093694",
"address": {
"address_1": "Dare Groves",
"address_2": null,
"number": "130",
"neighborhood": "Courtney Jacobi",
"city": "East Savionbury",
"state": "CUN",
"postal_code": "757126",
"country_code": "COL"
}
},
"country": "COL",
"payment_method": ["pse"],
"notification_url": "https://annalise.net",
"transaction": {
"id": "37e9d594-630c-412c-b8d0-9a7e00cb5b14",
"currency": "COP",
"amount": 34.74,
"redirect_url": "https://www.smartfastpay.com/"
}
}'Parameter
Type
Required
Description
Parameter
Description







Last updated